/*
    Speed climbing reaction timer
    Copyright (C) 2019  Itsblue Development | Dorian Zedler

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published
    by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APPTHEME_H
#define APPTHEME_H

#include <QObject>
#include <QVariant>
#include "appsettings.h"

class AppTheme : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QVariant style READ getStyle NOTIFY styleChanged)
public:
    explicit AppTheme(QObject *parent = nullptr);

private:

    QList<QVariant> themes;

    QVariant * currentTheme;


signals:
    void styleChanged();

public slots:
    QVariant getStyle();
    Q_INVOKABLE void refreshTheme();
};

#endif // APPTHEME_H
